Bug 142628 - Wrong Icons for "Field"and "Field by type in Navigator's Navigate By Drop Down Menu
Summary: Wrong Icons for "Field"and "Field by type in Navigator's Navigate By Drop Dow...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.5.0 target:7.4.1
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-KarasaJaga Icon-Theme-Elementary Icon-Request Icon-Theme-Sifr Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2021-06-03 02:51 UTC by Rizal Muttaqin
Modified: 2022-08-02 05:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
They should have different icons (35.30 KB, image/png)
2021-06-03 02:51 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2021-06-03 02:51:39 UTC
Created attachment 172584 [details]
They should have different icons

The icons for ""Field", "Field by type" and "Recency" in Navigator's Navigate By drop down menu are using same appearance with Content Navigation View. Please update them

Step to reproduce:

1. Open Navigator in Writer
2. Click Navigator's Navigate drop down menu to see the icons


Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: 3b57ebb445df8a2bc3d916ea79f8af45e20e4e62
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5 (cairo+xcb)
Locale: id-ID (id_ID.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-05-31_22:21:15
Calc: threaded
Comment 1 Rizal Muttaqin 2021-06-03 03:40:44 UTC
Navigate by field and field type: tdf#137741
Comment 2 Rizal Muttaqin 2021-06-03 03:47:04 UTC
I think the source is https://opengrok.libreoffice.org/xref/core/sw/inc/bitmaps.hlst 

#define RID_BMP_RIBBAR_RECENCY                  "sw/res/sc20244.png"
#define RID_BMP_RIBBAR_FIELD                    "sw/res/sc20244.png"
#define RID_BMP_RIBBAR_FIELD_BYTYPE             "sw/res/sc20244.png"

I can make the icons or link it to the links.txt but not sure about naming.
Comment 3 Vladislav Kim 2021-07-24 16:45:01 UTC
Repro in 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ee5a1b61b4460b965413a3f7ed4f9152322f1c02
CPU threads: 6; OS: Windows 10.0 Build 19041; UI render: Skia/Vulkan; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: CL
Comment 4 Rizal Muttaqin 2022-07-31 13:35:48 UTC
After trying to understand "Recency" from https://bugs.documentfoundation.org/show_bug.cgi?id=115817#c39 and from LibO Design group, likely current icon does not have issue while Field and Field by Type should be updated.
Comment 5 Commit Notification 2022-07-31 22:25:30 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/12b3cd8737e1d4ab76eb0eedee8790eb44b1e278

tdf#142628 Update icons for Field and Field by Type

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-08-01 11:01:31 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/271c119f75bc94af75acb6133a57131f19a7a9d5

tdf#142628 Update icons for Field and Field by Type

It will be available in 7.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.